Bug 198359 - Package dictd lacks IPv6 support
Package dictd lacks IPv6 support
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dictd (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
bzcl34nup
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 06:15 EDT by Peter Vrabec
Modified: 2009-11-04 13:32 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:03:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
IPv6 support for dict(d) (9.58 KB, patch)
2006-10-22 08:50 EDT, Daniel Kopeček
no flags Details | Diff

  None (edit)
Description Peter Vrabec 2006-07-11 06:15:26 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines:
Comment 1 Daniel Kopeček 2006-10-22 08:50:29 EDT
Created attachment 139078 [details]
IPv6 support for dict(d)
Comment 2 Bug Zapper 2008-04-03 13:38:29 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Mark McClelland 2008-04-28 04:23:07 EDT
Could someone please change the status back to ASSIGNED for me? I've confirmed
this bug is still in the latest upstream. I filed an RFE with them:
http://sourceforge.net/tracker/index.php?func=detail&aid=1950329&group_id=605&atid=350605
Comment 4 Bug Zapper 2008-05-13 22:12:11 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 18:12:05 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:03:45 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Tore Anderson 2009-07-20 15:13:23 EDT
This bug should be re-opened as it is present in F11:

tore@wrath:~$ getent hosts lust.v6.fud.no
2001:16d8:ee47:0:210:a7ff:fe04:b403 lust.v6.fud.no
tore@wrath:~$ strace -ff -econnect dict -v -h lust.v6.fud.no test
No configuration
connect(3, {sa_family=AF_FILE, path="/var/run/nscd/socket"...}, 110) = -1 ENOENT (No such file or directory)
connect(3, {sa_family=AF_FILE, path="/var/run/nscd/socket"...}, 110) = -1 ENOENT (No such file or directory)
connect(3, {sa_family=AF_FILE, path="/var/run/nscd/socket"...}, 110) = -1 ENOENT (No such file or directory)
connect(3, {sa_family=AF_FILE, path="/var/run/nscd/socket"...}, 110) = -1 ENOENT (No such file or directory)
connect(3, {sa_family=AF_INET, sin_port=htons(53), sin_addr=inet_addr("192.168.1.1")}, 28) = 0
connect(3, {sa_family=AF_INET, sin_port=htons(53), sin_addr=inet_addr("192.168.1.1")}, 28) = 0
Cannot connect to any servers
tore@wrath:~$ strace -ff -econnect dict -v -h 2001:16d8:ee47:0:210:a7ff:fe04:b403 test
No configuration
connect(3, {sa_family=AF_FILE, path="/var/run/nscd/socket"...}, 110) = -1 ENOENT (No such file or directory)
connect(3, {sa_family=AF_FILE, path="/var/run/nscd/socket"...}, 110) = -1 ENOENT (No such file or directory)
Cannot connect to any servers

The strace reveals that it does not even attempt to open the connection to the v6-only address.

Tore
Comment 8 Tore Anderson 2009-11-04 13:32:30 EST
FYI, this bug is still unresolved as of F12 Beta - in my opinion it should be re-opened (especially considering there's a patch available).  The dict client does not attempt to connect to servers over IPv6, and the dictd server does not open a listening IPv6 socket either.

Tore

Note You need to log in before you can comment on or make changes to this bug.